#!/usr/bin/python

from Adafruit_PWM_Servo_Driver import PWM
import time

try:
	pwm0 = PWM(0x40, debug=True)

except:
	exit()

pwm0.setPWMFreq(50) 
                       
tabMinMax = []
with open ("gamme.txt", 'r') as base:
	for ligne in base:
		ligne = ligne.rstrip('\n\r').split(",")
		for i in range(3):
	        	ligne[i] = int(ligne[i])
		tabMinMax.append(ligne)

tps = 0.2

def play_note (n):

		pwm0.setPWM(n, 0, tabMinMax[n][1])
		time.sleep(tps)
		pwm0.setPWM(n, 0, tabMinMax[n][2])

def initialisation ():

	for n in range(8):

		pwm0.setPWM(n, 0, tabMinMax[n][2])	
		


